Package org.apache.sysds.hops.fedplanner

# Class FederatedCompilationTimer

java.lang.Object
org.apache.sysds.hops.fedplanner.FederatedCompilationTimer

public class FederatedCompilationTimer extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`FederatedCompilationTimer.TimeEntry`

## Constructor Summary

Constructors
Constructor
Description
`FederatedCompilationTimer()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`activate()`
`static void`
`display()`
`static String`
`getStringRepresentation()`
`static void`
`startEnumerationTimer()`
`static FederatedCompilationTimer.TimeEntry`
`startPrivFetchTimer(long hopID)`
`static FederatedCompilationTimer.TimeEntry`
`startPrivProcessTimer()`
`static void`
`startSelectPlanTimer()`
`static void`
`stopEnumerationTimer()`
`static FederatedCompilationTimer.TimeEntry`
`stopPrivProcessTimer()`
`static void`
`stopSelectPlanTimer()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FederatedCompilationTimer

public FederatedCompilationTimer()

## Method Details

### startPrivProcessTimer

public static FederatedCompilationTimer.TimeEntry startPrivProcessTimer()

### stopPrivProcessTimer

public static FederatedCompilationTimer.TimeEntry stopPrivProcessTimer()

### startPrivFetchTimer

public static FederatedCompilationTimer.TimeEntry startPrivFetchTimer(long hopID)

### startEnumerationTimer

public static void startEnumerationTimer()

### stopEnumerationTimer

public static void stopEnumerationTimer()

### startSelectPlanTimer

public static void startSelectPlanTimer()

### stopSelectPlanTimer

public static void stopSelectPlanTimer()

### getStringRepresentation

public static String getStringRepresentation()

### activate

public static void activate()

### display

public static void display()